ur_rna.StructureEditor.models

## Class SceneUpdateInfo

- java.lang.Object
- - ur_rna.StructureEditor.models.SceneUpdateInfo

-     public class SceneUpdateInfo
      extends java.lang.Object

  Represents the type of update that was applied to the RnaScene (e.g. to cause a change to the undo/redo history)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SceneUpdateInfo` | `AddBonds`
    `static SceneUpdateInfo` | `Bonds`
    `static SceneUpdateInfo` | `BondType`
    `SceneUpdateCategory` | `category`
    `static SceneUpdateInfo` | `Controls`
    `java.lang.String` | `description`
    `static SceneUpdateInfo` | `EditHistory`
    `static SceneUpdateInfo` | `Flip`
    `static SceneUpdateInfo` | `FormatBases`
    `static SceneUpdateInfo` | `GotoHistory`
    `static SceneUpdateInfo` | `Initial`
    `static SceneUpdateInfo` | `Layout`
    `static SceneUpdateInfo` | `Loop`
    `SceneUpdateInfo` | `parent`
    `static SceneUpdateInfo` | `RemBonds`
    `static SceneUpdateInfo` | `Rotate`
    `static SceneUpdateInfo` | `Selection`
    `static SceneUpdateInfo` | `SequenceSize`
    `static SceneUpdateInfo` | `SequenceText`
    `static SceneUpdateInfo` | `StrandDivisions`
    `static SceneUpdateInfo` | `View`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `SceneUpdateInfo(SceneUpdateCategory category, java.lang.String description)`
    `protected` | `SceneUpdateInfo(SceneUpdateCategory category, java.lang.String description, SceneUpdateInfo parentType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SceneUpdateInfo` | `subType(java.lang.String description)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AddBonds

          public static SceneUpdateInfo AddBonds

    - #### Bonds

          public static SceneUpdateInfo Bonds

    - #### BondType

          public static SceneUpdateInfo BondType

    - #### category

          public final SceneUpdateCategory category

    - #### Controls

          public static SceneUpdateInfo Controls

    - #### description

          public final java.lang.String description

    - #### EditHistory

          public static SceneUpdateInfo EditHistory

    - #### Flip

          public static SceneUpdateInfo Flip

    - #### FormatBases

          public static SceneUpdateInfo FormatBases

    - #### GotoHistory

          public static SceneUpdateInfo GotoHistory

    - #### Initial

          public static SceneUpdateInfo Initial

    - #### Layout

          public static SceneUpdateInfo Layout

    - #### Loop

          public static SceneUpdateInfo Loop

    - #### parent

          public final SceneUpdateInfo parent

    - #### RemBonds

          public static SceneUpdateInfo RemBonds

    - #### Rotate

          public static SceneUpdateInfo Rotate

    - #### Selection

          public static SceneUpdateInfo Selection

    - #### SequenceSize

          public static SceneUpdateInfo SequenceSize

    - #### SequenceText

          public static SceneUpdateInfo SequenceText

    - #### StrandDivisions

          public static SceneUpdateInfo StrandDivisions

    - #### View

          public static SceneUpdateInfo View

  - ### Constructor Detail

    - #### SceneUpdateInfo

          public SceneUpdateInfo(SceneUpdateCategory category,
                                 java.lang.String description)

    - #### SceneUpdateInfo

          protected SceneUpdateInfo(SceneUpdateCategory category,
                                    java.lang.String description,
                                    SceneUpdateInfo parentType)

  - ### Method Detail

    - #### subType

          public SceneUpdateInfo subType(java.lang.String description)